package com.fs.store.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.store.mapper.FsUserCompanyUserMapper;
import com.fs.store.domain.FsUserCompanyUser;
import com.fs.store.service.IFsUserCompanyUserService;

/**
 * 微信用户和销售关系Service业务层处理
 * 
 * @author fs
 * @date 2025-05-09
 */
@Service
public class FsUserCompanyUserServiceImpl extends ServiceImpl<FsUserCompanyUserMapper, FsUserCompanyUser> implements IFsUserCompanyUserService {

    /**
     * 查询微信用户和销售关系
     * 
     * @param id 微信用户和销售关系主键
     * @return 微信用户和销售关系
     */
    @Override
    public FsUserCompanyUser selectFsUserCompanyUserById(Long id)
    {
        return baseMapper.selectFsUserCompanyUserById(id);
    }

    /**
     * 查询微信用户和销售关系列表
     * 
     * @param fsUserCompanyUser 微信用户和销售关系
     * @return 微信用户和销售关系
     */
    @Override
    public List<FsUserCompanyUser> selectFsUserCompanyUserList(FsUserCompanyUser fsUserCompanyUser)
    {
        return baseMapper.selectFsUserCompanyUserList(fsUserCompanyUser);
    }

    /**
     * 新增微信用户和销售关系
     * 
     * @param fsUserCompanyUser 微信用户和销售关系
     * @return 结果
     */
    @Override
    public int insertFsUserCompanyUser(FsUserCompanyUser fsUserCompanyUser)
    {
        return baseMapper.insertFsUserCompanyUser(fsUserCompanyUser);
    }

    /**
     * 修改微信用户和销售关系
     * 
     * @param fsUserCompanyUser 微信用户和销售关系
     * @return 结果
     */
    @Override
    public int updateFsUserCompanyUser(FsUserCompanyUser fsUserCompanyUser)
    {
        return baseMapper.updateFsUserCompanyUser(fsUserCompanyUser);
    }

    /**
     * 批量删除微信用户和销售关系
     * 
     * @param ids 需要删除的微信用户和销售关系主键
     * @return 结果
     */
    @Override
    public int deleteFsUserCompanyUserByIds(Long[] ids)
    {
        return baseMapper.deleteFsUserCompanyUserByIds(ids);
    }

    /**
     * 删除微信用户和销售关系信息
     * 
     * @param id 微信用户和销售关系主键
     * @return 结果
     */
    @Override
    public int deleteFsUserCompanyUserById(Long id)
    {
        return baseMapper.deleteFsUserCompanyUserById(id);
    }
}
